Name:		helm
Version:	0.4.1
Release:	3%{?dist}
Summary:	Polyphonic software synth with lots of modulation and easy to use UI

Group:		Applications/Multimedia
License:	GPL3
URL:		https://github.com/mtytel/helm/
Source0:	https://github.com/mtytel/helm/archive/v0.4.1.zip
Source1:	helm.desktop

BuildRequires:	mesa-libGL-devel, alsa-lib-devel, jack-audio-connection-kit-devel, freetype-devel, libXrandr-devel, libXinerama-devel, libXcursor-devel, desktop-file-utils
Requires:	mesa-libGL, alsa-lib, jack-audio-connection-kit, freetype, libXrandr, libXinerama, libXcursor, helm-common

%description
Helm is a software synth designed to be easy to use

%package lv2
Summary: Helm lv2 plugin
Group: Applications/Multimedia
Requires: helm-common
%description lv2
Helm is a polyphonic software synth with lots of modulation and and easy to use UT

%package common
Summary: Helm common files
Group: Applications/Multimedia
%description common
Commen files for the helm software synth.


%prep
%setup -q 


%build
%configure
make %{?_smp_mflags}


%install
%make_install LIBDIR=%{_libdir}
desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}
mkdir $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp $RPM_BUILD_ROOT"%{_datadir}/helm/icons/helm_icon_128_1x.png" $RPM_BUILD_ROOT%{_datadir}/pixmaps/helm.png
rm $RPM_BUILD_ROOT%{_datadir}/helm/patches/Synth/.DS_Store


%files
%doc
"%{_bindir}/helm"
"%{_datadir}/applications/helm.desktop"
"%{_datadir}/pixmaps/helm.png"


%files lv2
"%_libdir/lv2/helm.lv2/helm.so"
"%_libdir/lv2/helm.lv2/helm.ttl"
"%_libdir/lv2/helm.lv2/manifest.ttl"
"%_libdir/lv2/helm.lv2/presets.ttl"

%files common
%doc COPYING README.md
"%{_datadir}/helm/icons/helm_debian_icon.xpm"
"%{_datadir}/helm/icons/helm_icon_128_1x.ico"
"%{_datadir}/helm/icons/helm_icon_128_1x.png"
"%{_datadir}/helm/icons/helm_icon_128_2x.png"
"%{_datadir}/helm/icons/helm_icon_16_1x.png"
"%{_datadir}/helm/icons/helm_icon_16_2x.png"
"%{_datadir}/helm/icons/helm_icon_256_1x.png"
"%{_datadir}/helm/icons/helm_icon_256_2x.png"
"%{_datadir}/helm/icons/helm_icon_32_1x.png"
"%{_datadir}/helm/icons/helm_icon_32_2x.png"
"%{_datadir}/helm/icons/helm_icon_512_1x.png"
"%{_datadir}/helm/icons/helm_icon_512_2x.png"
"%{_datadir}/helm/icons/modulation_selected_active_1x.png"
"%{_datadir}/helm/icons/modulation_selected_active_2x.png"
"%{_datadir}/helm/icons/modulation_selected_inactive_1x.png"
"%{_datadir}/helm/icons/modulation_selected_inactive_2x.png"
"%{_datadir}/helm/icons/modulation_unselected_active_1x.png"
"%{_datadir}/helm/icons/modulation_unselected_active_2x.png"
"%{_datadir}/helm/icons/modulation_unselected_inactive_1x.png"
"%{_datadir}/helm/icons/modulation_unselected_inactive_2x.png"
"%{_datadir}/helm/patches/Pad/fluffy landscape.helm"
"%{_datadir}/helm/patches/Pad/pulsing daisies.helm"
"%{_datadir}/helm/patches/Pad/waiting for takeoff.helm"
"%{_datadir}/helm/patches/SFX/helicopter.helm"
"%{_datadir}/helm/patches/SFX/rotary slingshot.helm"
"%{_datadir}/helm/patches/Synth/chip waltz.helm"
"%{_datadir}/helm/patches/Synth/electrobike cruise.helm"
"%{_datadir}/helm/patches/Synth/elven door stop.helm"
"%{_datadir}/helm/patches/Synth/filtered bass 1.helm"
"%{_datadir}/helm/patches/Synth/filtered bass 2.helm"
"%{_datadir}/helm/patches/Synth/on the run.helm"
"%{_datadir}/helm/patches/Synth/organ 0.helm"
"%{_datadir}/helm/patches/Synth/organ 1.helm"
"%{_datadir}/helm/patches/Synth/show opener.helm"
"%{_datadir}/helm/patches/Synth/stuttering organ.helm"
"%{_datadir}/helm/patches/Synth/watching the clock.helm"



%changelog
* Wed Aug 05 2015 L.L.Robinson <l.l.robinson@therobinsonfamily.net> - 0.4.1-3
- Fix icon

* Tue Aug 04 2015 L.L.Robinson <l.l.robinson@therobinsonfamily.net> - 0.4.1-2
- added docs
- added desktop file

* Sun Aug 02 2015 L.L.Robinson <l.l.robinson@therobinsonfamily.net> - 0.4.1-1
- Update to 0.4.1


